### Method

# St Icon set_icon_size

#### Declaration [src]

    void
    st_icon_set_icon_size (
      StIcon* icon,
      gint size
    )

#### Description [src]

Sets an explicit size for the icon. Setting `size` to -1 will use the size defined by the current style or the default icon size.

Sets property | `St.Icon:icon-size`

#### Parameters

`size`

  Type: `gint`

  If positive, the new size, otherwise the size will be derived from the current style.